import type { ControlPosition, Layer } from 'leaflet';
import type { ExtraControlPosition } from '../../utils/types';
export interface Props {
    currentBaseLayer?: string | number;
    currentOverlays?: string[] | number[];
    useIndexes?: boolean;
    collapsed?: boolean;
    autoZIndex?: boolean;
    hideSingleBase?: boolean;
    sortLayers?: boolean;
    sortFunction?: (layerA: Layer, layerB: Layer, nameA: string, nameB: string) => number;
    position?: ControlPosition | ExtraControlPosition;
}
export type Emits = {
    (type: 'update:currentBaseLayer', value: string | number): void;
    (type: 'update:currentOverlays', value: string[] | number[]): void;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    position: {
        type: import("vue").PropType<ExtraControlPosition | ControlPosition>;
        default: undefined;
    };
    collapsed: {
        type: import("vue").PropType<boolean>;
    };
    autoZIndex: {
        type: import("vue").PropType<boolean>;
    };
    hideSingleBase: {
        type: import("vue").PropType<boolean>;
    };
    sortLayers: {
        type: import("vue").PropType<boolean>;
    };
    sortFunction: {
        type: import("vue").PropType<(layerA: Layer, layerB: Layer, nameA: string, nameB: string) => number>;
        default: undefined;
    };
    currentBaseLayer: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    currentOverlays: {
        type: import("vue").PropType<string[] | number[]>;
        default: undefined;
    };
    useIndexes: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}, {
    layersControl: import("vue-use-leaflet").UseLeafletLayersControlReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:currentBaseLayer": (value: string | number) => void;
    "update:currentOverlays": (value: string[] | number[]) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    position: {
        type: import("vue").PropType<ExtraControlPosition | ControlPosition>;
        default: undefined;
    };
    collapsed: {
        type: import("vue").PropType<boolean>;
    };
    autoZIndex: {
        type: import("vue").PropType<boolean>;
    };
    hideSingleBase: {
        type: import("vue").PropType<boolean>;
    };
    sortLayers: {
        type: import("vue").PropType<boolean>;
    };
    sortFunction: {
        type: import("vue").PropType<(layerA: Layer, layerB: Layer, nameA: string, nameB: string) => number>;
        default: undefined;
    };
    currentBaseLayer: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    currentOverlays: {
        type: import("vue").PropType<string[] | number[]>;
        default: undefined;
    };
    useIndexes: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
}>> & {
    "onUpdate:currentBaseLayer"?: ((value: string | number) => any) | undefined;
    "onUpdate:currentOverlays"?: ((value: string[] | number[]) => any) | undefined;
}, {
    position: ExtraControlPosition | ControlPosition;
    sortFunction: (layerA: Layer, layerB: Layer, nameA: string, nameB: string) => number;
    currentBaseLayer: string | number;
    currentOverlays: string[] | number[];
    useIndexes: boolean;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
