import type { InjectionKey, Ref } from 'vue';
import type { Control } from 'leaflet';
export declare const layersControlKey: InjectionKey<Ref<Control.Layers | null>>;
export declare const zoomControlKey: InjectionKey<Ref<Control.Zoom | null>>;
export declare const scaleControlKey: InjectionKey<Ref<Control.Scale | null>>;
export declare const attributionControlKey: InjectionKey<Ref<Control.Attribution | null>>;
export declare const layersControlApiKey: InjectionKey<{
    add: (id: string | number, name: string | undefined, layer: import("@vueuse/shared").MaybeRefOrGetter<import("leaflet").Layer | null | undefined>, overlay?: boolean | undefined) => void;
    remove: (id: string | number) => void;
    getOne: (id: string | number) => import("./useLayersControlApi").LayersItemIdConfig | undefined;
    getAll: () => readonly import("./useLayersControlApi").LayersItemIdConfig[];
    updateName: (id: string | number, value: string | undefined) => void;
    updateOverlay: (id: string | number, value: boolean) => void;
}>;
export declare const controlPositionKey: InjectionKey<Ref<HTMLElement | null>>;
