import type { MaybeRefOrGetter } from '@vueuse/shared';
import type { Layer } from 'leaflet';
import type { LayersItemConfig } from 'vue-use-leaflet';
export interface LayersItemIdConfig extends LayersItemConfig {
    id?: string | number;
}
export declare function useLayersControlApi(layers: LayersItemIdConfig[]): {
    add: (id: string | number, name: string | undefined, layer: MaybeRefOrGetter<Layer | null | undefined>, overlay?: boolean) => void;
    remove: (id: string | number) => void;
    getOne: (id: string | number) => LayersItemIdConfig | undefined;
    getAll: () => Readonly<LayersItemIdConfig[]>;
    updateName: (id: string | number, value: string | undefined) => void;
    updateOverlay: (id: string | number, value: boolean) => void;
};
export type UseLayersControlApiReturn = ReturnType<typeof useLayersControlApi>;
