import type { CrossOrigin, DivIcon, LatLngExpression, Marker, MarkerOptions, PointExpression } from 'leaflet';
export interface Props extends MarkerOptions {
    latlng: LatLngExpression | null;
    iconHtml?: string | HTMLElement | false;
    iconBgPos?: PointExpression;
    iconRenderMode?: 'html' | 'node' | 'portal' | 'none';
    iconRootClass?: any;
    iconUrl?: string;
    iconRetinaUrl?: string;
    iconSize?: PointExpression;
    iconAnchor?: PointExpression;
    iconShadowUrl?: string;
    iconShadowRetinaUrl?: string;
    iconShadowSize?: PointExpression;
    iconShadowAnchor?: PointExpression;
    iconKnownClasses?: string[];
    iconClass?: any;
    iconClassName?: any;
    iconCrossOrigin?: CrossOrigin | boolean;
    iconPopupAnchor?: PointExpression;
    iconTooltipAnchor?: PointExpression;
    iconPane?: string;
    iconAttribution?: string;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    iconHtml: {
        type: import("vue").PropType<string | false | HTMLElement>;
    };
    iconBgPos: {
        type: import("vue").PropType<PointExpression>;
    };
    iconRenderMode: {
        type: import("vue").PropType<"html" | "node" | "portal" | "none">;
    };
    iconRootClass: {
        type: import("vue").PropType<any>;
    };
    iconUrl: {
        type: import("vue").PropType<string>;
    };
    iconRetinaUrl: {
        type: import("vue").PropType<string>;
    };
    iconSize: {
        type: import("vue").PropType<PointExpression>;
    };
    iconAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconShadowUrl: {
        type: import("vue").PropType<string>;
    };
    iconShadowRetinaUrl: {
        type: import("vue").PropType<string>;
    };
    iconShadowSize: {
        type: import("vue").PropType<PointExpression>;
    };
    iconShadowAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconKnownClasses: {
        type: import("vue").PropType<string[]>;
    };
    iconClass: {
        type: import("vue").PropType<any>;
    };
    iconClassName: {
        type: import("vue").PropType<any>;
    };
    iconCrossOrigin: {
        type: import("vue").PropType<boolean | CrossOrigin>;
    };
    iconPopupAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconTooltipAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconPane: {
        type: import("vue").PropType<string>;
    };
    iconAttribution: {
        type: import("vue").PropType<string>;
    };
    icon: {
        type: import("vue").PropType<import("leaflet").Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}, {
    marker: import("vue").ComputedRef<Marker<any> | null>;
    icon: import("vue").ComputedRef<DivIcon | null>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    iconHtml: {
        type: import("vue").PropType<string | false | HTMLElement>;
    };
    iconBgPos: {
        type: import("vue").PropType<PointExpression>;
    };
    iconRenderMode: {
        type: import("vue").PropType<"html" | "node" | "portal" | "none">;
    };
    iconRootClass: {
        type: import("vue").PropType<any>;
    };
    iconUrl: {
        type: import("vue").PropType<string>;
    };
    iconRetinaUrl: {
        type: import("vue").PropType<string>;
    };
    iconSize: {
        type: import("vue").PropType<PointExpression>;
    };
    iconAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconShadowUrl: {
        type: import("vue").PropType<string>;
    };
    iconShadowRetinaUrl: {
        type: import("vue").PropType<string>;
    };
    iconShadowSize: {
        type: import("vue").PropType<PointExpression>;
    };
    iconShadowAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconKnownClasses: {
        type: import("vue").PropType<string[]>;
    };
    iconClass: {
        type: import("vue").PropType<any>;
    };
    iconClassName: {
        type: import("vue").PropType<any>;
    };
    iconCrossOrigin: {
        type: import("vue").PropType<boolean | CrossOrigin>;
    };
    iconPopupAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconTooltipAnchor: {
        type: import("vue").PropType<PointExpression>;
    };
    iconPane: {
        type: import("vue").PropType<string>;
    };
    iconAttribution: {
        type: import("vue").PropType<string>;
    };
    icon: {
        type: import("vue").PropType<import("leaflet").Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}>>, {}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
