import type { DivIcon, DragEndEvent, Icon, LatLngExpression, LeafletEvent, LeafletMouseEvent, MarkerOptions, PopupEvent, TooltipEvent } from 'leaflet';
export interface Props extends MarkerOptions {
    latlng: LatLngExpression | null;
    icon?: Icon | DivIcon;
    opacity?: number;
    zIndexOffset?: number;
    draggable?: boolean;
}
export type Emits = {
    (type: 'update:latlng', value: LatLngExpression): void;
    (type: 'move', event: LeafletEvent): void;
    (type: 'dragstart', event: LeafletEvent): void;
    (type: 'movestart', event: LeafletEvent): void;
    (type: 'drag', event: LeafletEvent): void;
    (type: 'dragend', event: DragEndEvent): void;
    (type: 'moveend', event: LeafletEvent): void;
    (type: 'click', event: LeafletMouseEvent): void;
    (type: 'dblclick', event: LeafletMouseEvent): void;
    (type: 'mousedown', event: LeafletMouseEvent): void;
    (type: 'mouseup', event: LeafletMouseEvent): void;
    (type: 'mouseover', event: LeafletMouseEvent): void;
    (type: 'mouseout', event: LeafletMouseEvent): void;
    (type: 'contextmenu', event: LeafletMouseEvent): void;
    (type: 'add', event: LeafletEvent): void;
    (type: 'remove', event: LeafletEvent): void;
    (type: 'popupopen', event: PopupEvent): void;
    (type: 'popupclose', event: PopupEvent): void;
    (type: 'tooltipopen', event: TooltipEvent): void;
    (type: 'tooltipclose', event: TooltipEvent): void;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    icon: {
        type: import("vue").PropType<Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<import("leaflet").PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}, {
    marker: import("vue-use-leaflet").UseLeafletMarkerReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mouseout: (event: LeafletMouseEvent) => void;
    contextmenu: (event: LeafletMouseEvent) => void;
    add: (event: LeafletEvent) => void;
    remove: (event: LeafletEvent) => void;
    popupopen: (event: PopupEvent) => void;
    popupclose: (event: PopupEvent) => void;
    tooltipopen: (event: TooltipEvent) => void;
    tooltipclose: (event: TooltipEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    icon: {
        type: import("vue").PropType<Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<import("leaflet").PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onAdd?: ((event: LeafletEvent) => any) | undefined;
    onRemove?: ((event: LeafletEvent) => any) | undefined;
    onContextmenu?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseout?: ((event: LeafletMouseEvent) => any) | undefined;
    onPopupopen?: ((event: PopupEvent) => any) | undefined;
    onPopupclose?: ((event: PopupEvent) => any) | undefined;
    onTooltipopen?: ((event: TooltipEvent) => any) | undefined;
    onTooltipclose?: ((event: TooltipEvent) => any) | undefined;
}, {}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
