import type { LeafletEvent, PopupEvent, TileErrorEvent, TileEvent, TileLayerOptions, TooltipEvent } from 'leaflet';
export interface Props extends TileLayerOptions {
    url: string | null;
    title?: string;
    overlay?: boolean;
}
export type Emits = {
    (type: 'tileabort', event: TileEvent): void;
    (type: 'loading', event: LeafletEvent): void;
    (type: 'tileunload', event: TileEvent): void;
    (type: 'tileloadstart', event: TileEvent): void;
    (type: 'tileerror', event: TileErrorEvent): void;
    (type: 'tileload', event: TileEvent): void;
    (type: 'load', event: LeafletEvent): void;
    (type: 'add', event: LeafletEvent): void;
    (type: 'remove', event: LeafletEvent): void;
    (type: 'popupopen', event: PopupEvent): void;
    (type: 'popupclose', event: PopupEvent): void;
    (type: 'tooltipopen', event: TooltipEvent): void;
    (type: 'tooltipclose', event: TooltipEvent): void;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
    };
    overlay: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    title: {
        type: import("vue").PropType<string>;
        default: undefined;
    };
    className: {
        type: import("vue").PropType<string>;
    };
    updateWhenIdle: {
        type: import("vue").PropType<boolean>;
    };
    crossOrigin: {
        type: import("vue").PropType<boolean | import("leaflet").CrossOrigin>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndex: {
        type: import("vue").PropType<number>;
    };
    url: {
        type: import("vue").PropType<string | null>;
        required: true;
    };
    accessToken: {
        type: import("vue").PropType<string>;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    maxNativeZoom: {
        type: import("vue").PropType<number>;
    };
    minNativeZoom: {
        type: import("vue").PropType<number>;
    };
    subdomains: {
        type: import("vue").PropType<string | string[]>;
    };
    errorTileUrl: {
        type: import("vue").PropType<string>;
    };
    zoomOffset: {
        type: import("vue").PropType<number>;
    };
    tms: {
        type: import("vue").PropType<boolean>;
    };
    zoomReverse: {
        type: import("vue").PropType<boolean>;
    };
    detectRetina: {
        type: import("vue").PropType<boolean>;
    };
    referrerPolicy: {
        type: import("vue").PropType<boolean | import("leaflet").ReferrerPolicy>;
    };
    tileSize: {
        type: import("vue").PropType<number | import("leaflet").Point>;
    };
    updateWhenZooming: {
        type: import("vue").PropType<boolean>;
    };
    updateInterval: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<import("leaflet").LatLngBoundsExpression>;
    };
    noWrap: {
        type: import("vue").PropType<boolean>;
    };
    keepBuffer: {
        type: import("vue").PropType<number>;
    };
}, {
    tileLayer: import("vue-use-leaflet").UseLeafletTileLayerReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    tileload: (event: TileEvent) => void;
    load: (event: LeafletEvent) => void;
    add: (event: LeafletEvent) => void;
    remove: (event: LeafletEvent) => void;
    popupopen: (event: PopupEvent) => void;
    popupclose: (event: PopupEvent) => void;
    tooltipopen: (event: TooltipEvent) => void;
    tooltipclose: (event: TooltipEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: import("vue").PropType<string>;
    };
    overlay: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    title: {
        type: import("vue").PropType<string>;
        default: undefined;
    };
    className: {
        type: import("vue").PropType<string>;
    };
    updateWhenIdle: {
        type: import("vue").PropType<boolean>;
    };
    crossOrigin: {
        type: import("vue").PropType<boolean | import("leaflet").CrossOrigin>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndex: {
        type: import("vue").PropType<number>;
    };
    url: {
        type: import("vue").PropType<string | null>;
        required: true;
    };
    accessToken: {
        type: import("vue").PropType<string>;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    maxNativeZoom: {
        type: import("vue").PropType<number>;
    };
    minNativeZoom: {
        type: import("vue").PropType<number>;
    };
    subdomains: {
        type: import("vue").PropType<string | string[]>;
    };
    errorTileUrl: {
        type: import("vue").PropType<string>;
    };
    zoomOffset: {
        type: import("vue").PropType<number>;
    };
    tms: {
        type: import("vue").PropType<boolean>;
    };
    zoomReverse: {
        type: import("vue").PropType<boolean>;
    };
    detectRetina: {
        type: import("vue").PropType<boolean>;
    };
    referrerPolicy: {
        type: import("vue").PropType<boolean | import("leaflet").ReferrerPolicy>;
    };
    tileSize: {
        type: import("vue").PropType<number | import("leaflet").Point>;
    };
    updateWhenZooming: {
        type: import("vue").PropType<boolean>;
    };
    updateInterval: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<import("leaflet").LatLngBoundsExpression>;
    };
    noWrap: {
        type: import("vue").PropType<boolean>;
    };
    keepBuffer: {
        type: import("vue").PropType<number>;
    };
}>> & {
    onAdd?: ((event: LeafletEvent) => any) | undefined;
    onRemove?: ((event: LeafletEvent) => any) | undefined;
    onLoad?: ((event: LeafletEvent) => any) | undefined;
    onPopupopen?: ((event: PopupEvent) => any) | undefined;
    onPopupclose?: ((event: PopupEvent) => any) | undefined;
    onTooltipopen?: ((event: TooltipEvent) => any) | undefined;
    onTooltipclose?: ((event: TooltipEvent) => any) | undefined;
    onTileload?: ((event: TileEvent) => any) | undefined;
}, {
    overlay: boolean;
    title: string;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
