import type { MapOptions, LatLngBoundsExpression, LatLngExpression, LayersControlEvent, LayerEvent, LeafletEvent, ResizeEvent, LeafletKeyboardEvent, LeafletMouseEvent, LocationEvent, PopupEvent, TooltipEvent, ZoomAnimEvent } from 'leaflet';
import { type ViewChangedEvent } from 'vue-use-leaflet';
export interface Props extends MapOptions {
    center?: LatLngExpression;
    zoom?: number;
    bounds?: LatLngBoundsExpression;
    useFly?: boolean;
    theme?: string | 'light' | 'dark' | 'auto';
    id?: any;
    class?: any;
    style?: any;
}
export type Emits = {
    (type: 'view-changed', event: ViewChangedEvent): void;
    (type: 'baselayerchange', event: LayersControlEvent): void;
    (type: 'overlayadd', event: LayersControlEvent): void;
    (type: 'overlayremove', event: LayersControlEvent): void;
    (type: 'layeradd', event: LayerEvent): void;
    (type: 'layerremove', event: LayerEvent): void;
    (type: 'zoomlevelschange', event: LeafletEvent): void;
    (type: 'resize', event: ResizeEvent): void;
    (type: 'unload', event: LeafletEvent): void;
    (type: 'viewreset', event: LeafletEvent): void;
    (type: 'load', event: LeafletEvent): void;
    (type: 'zoomstart', event: LeafletEvent): void;
    (type: 'movestart', event: LeafletEvent): void;
    (type: 'zoom', event: LeafletEvent): void;
    (type: 'move', event: LeafletEvent): void;
    (type: 'zoomend', event: LeafletEvent): void;
    (type: 'moveend', event: LeafletEvent): void;
    (type: 'popupopen', event: PopupEvent): void;
    (type: 'popupclose', event: PopupEvent): void;
    (type: 'autopanstart', event: LeafletEvent): void;
    (type: 'tooltipopen', event: TooltipEvent): void;
    (type: 'tooltipclose', event: TooltipEvent): void;
    (type: 'locationerror', event: ErrorEvent): void;
    (type: 'locationfound', event: LocationEvent): void;
    (type: 'click', event: LeafletMouseEvent): void;
    (type: 'dblclick', event: LeafletMouseEvent): void;
    (type: 'mousedown', event: LeafletMouseEvent): void;
    (type: 'mouseup', event: LeafletMouseEvent): void;
    (type: 'mouseover', event: LeafletMouseEvent): void;
    (type: 'mouseout', event: LeafletMouseEvent): void;
    (type: 'mousemove', event: LeafletMouseEvent): void;
    (type: 'contextmenu', event: LeafletMouseEvent): void;
    (type: 'keypress', event: LeafletKeyboardEvent): void;
    (type: 'keydown', event: LeafletKeyboardEvent): void;
    (type: 'keyup', event: LeafletKeyboardEvent): void;
    (type: 'preclick', event: LeafletMouseEvent): void;
    (type: 'zoomanim', event: ZoomAnimEvent): void;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    attributionControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    boxZoom: {
        type: import("vue").PropType<boolean>;
    };
    doubleClickZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    scrollWheelZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    tap: {
        type: import("vue").PropType<boolean>;
    };
    touchZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    zoomControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    class: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    style: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    zoom: {
        type: import("vue").PropType<number>;
        default: number;
    };
    center: {
        type: import("vue").PropType<LatLngExpression>;
        default: () => number[];
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
        default: undefined;
    };
    useFly: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    preferCanvas: {
        type: import("vue").PropType<boolean>;
    };
    closePopupOnClick: {
        type: import("vue").PropType<boolean>;
    };
    zoomSnap: {
        type: import("vue").PropType<number>;
    };
    zoomDelta: {
        type: import("vue").PropType<number>;
    };
    trackResize: {
        type: import("vue").PropType<boolean>;
    };
    crs: {
        type: import("vue").PropType<import("leaflet").CRS>;
    };
    layers: {
        type: import("vue").PropType<import("leaflet").Layer[]>;
    };
    maxBounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
    };
    renderer: {
        type: import("vue").PropType<import("leaflet").Renderer>;
    };
    fadeAnimation: {
        type: import("vue").PropType<boolean>;
    };
    markerZoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    transform3DLimit: {
        type: import("vue").PropType<number>;
    };
    zoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    zoomAnimationThreshold: {
        type: import("vue").PropType<number>;
    };
    inertia: {
        type: import("vue").PropType<boolean>;
    };
    inertiaDeceleration: {
        type: import("vue").PropType<number>;
    };
    inertiaMaxSpeed: {
        type: import("vue").PropType<number>;
    };
    easeLinearity: {
        type: import("vue").PropType<number>;
    };
    worldCopyJump: {
        type: import("vue").PropType<boolean>;
    };
    maxBoundsViscosity: {
        type: import("vue").PropType<number>;
    };
    keyboardPanDelta: {
        type: import("vue").PropType<number>;
    };
    wheelDebounceTime: {
        type: import("vue").PropType<number>;
    };
    wheelPxPerZoomLevel: {
        type: import("vue").PropType<number>;
    };
    tapTolerance: {
        type: import("vue").PropType<number>;
    };
    bounceAtZoomLimits: {
        type: import("vue").PropType<boolean>;
    };
}, {
    container: import("vue").Ref<HTMLElement | null>;
    map: import("vue-use-leaflet").UseLeafletMapReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mouseout: (event: LeafletMouseEvent) => void;
    mousemove: (event: LeafletMouseEvent) => void;
    contextmenu: (event: LeafletMouseEvent) => void;
    keypress: (event: LeafletKeyboardEvent) => void;
    keydown: (event: LeafletKeyboardEvent) => void;
    keyup: (event: LeafletKeyboardEvent) => void;
    preclick: (event: LeafletMouseEvent) => void;
    zoomanim: (event: ZoomAnimEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    attributionControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    boxZoom: {
        type: import("vue").PropType<boolean>;
    };
    doubleClickZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    scrollWheelZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    tap: {
        type: import("vue").PropType<boolean>;
    };
    touchZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    zoomControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    class: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    style: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    zoom: {
        type: import("vue").PropType<number>;
        default: number;
    };
    center: {
        type: import("vue").PropType<LatLngExpression>;
        default: () => number[];
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
        default: undefined;
    };
    useFly: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    preferCanvas: {
        type: import("vue").PropType<boolean>;
    };
    closePopupOnClick: {
        type: import("vue").PropType<boolean>;
    };
    zoomSnap: {
        type: import("vue").PropType<number>;
    };
    zoomDelta: {
        type: import("vue").PropType<number>;
    };
    trackResize: {
        type: import("vue").PropType<boolean>;
    };
    crs: {
        type: import("vue").PropType<import("leaflet").CRS>;
    };
    layers: {
        type: import("vue").PropType<import("leaflet").Layer[]>;
    };
    maxBounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
    };
    renderer: {
        type: import("vue").PropType<import("leaflet").Renderer>;
    };
    fadeAnimation: {
        type: import("vue").PropType<boolean>;
    };
    markerZoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    transform3DLimit: {
        type: import("vue").PropType<number>;
    };
    zoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    zoomAnimationThreshold: {
        type: import("vue").PropType<number>;
    };
    inertia: {
        type: import("vue").PropType<boolean>;
    };
    inertiaDeceleration: {
        type: import("vue").PropType<number>;
    };
    inertiaMaxSpeed: {
        type: import("vue").PropType<number>;
    };
    easeLinearity: {
        type: import("vue").PropType<number>;
    };
    worldCopyJump: {
        type: import("vue").PropType<boolean>;
    };
    maxBoundsViscosity: {
        type: import("vue").PropType<number>;
    };
    keyboardPanDelta: {
        type: import("vue").PropType<number>;
    };
    wheelDebounceTime: {
        type: import("vue").PropType<number>;
    };
    wheelPxPerZoomLevel: {
        type: import("vue").PropType<number>;
    };
    tapTolerance: {
        type: import("vue").PropType<number>;
    };
    bounceAtZoomLimits: {
        type: import("vue").PropType<boolean>;
    };
}>> & {
    onKeydown?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onKeypress?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onKeyup?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onContextmenu?: ((event: LeafletMouseEvent) => any) | undefined;
    onMousemove?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseout?: ((event: LeafletMouseEvent) => any) | undefined;
    onPreclick?: ((event: LeafletMouseEvent) => any) | undefined;
    onZoomanim?: ((event: ZoomAnimEvent) => any) | undefined;
}, {
    attributionControl: boolean;
    zoomControl: boolean;
    id: any;
    class: any;
    style: any;
    zoom: number;
    center: LatLngExpression;
    bounds: LatLngBoundsExpression;
    useFly: boolean;
    theme: string;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
