import type { TileLayer, TileLayerOptions } from 'leaflet';
export interface Props extends TileLayerOptions {
    type?: 'hybrid' | 'satellite' | 'streets' | 'terrain';
    layers?: string;
    subdomains?: string[];
    title?: string;
    overlay?: boolean;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
    };
    overlay: {
        type: import("vue").PropType<boolean>;
    };
    type: {
        type: import("vue").PropType<"hybrid" | "satellite" | "streets" | "terrain">;
        default: string;
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    className: {
        type: import("vue").PropType<string>;
    };
    updateWhenIdle: {
        type: import("vue").PropType<boolean>;
    };
    crossOrigin: {
        type: import("vue").PropType<boolean | import("leaflet").CrossOrigin>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndex: {
        type: import("vue").PropType<number>;
    };
    accessToken: {
        type: import("vue").PropType<string>;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    maxNativeZoom: {
        type: import("vue").PropType<number>;
    };
    minNativeZoom: {
        type: import("vue").PropType<number>;
    };
    subdomains: {
        type: import("vue").PropType<string[]>;
        default: () => string[];
    };
    errorTileUrl: {
        type: import("vue").PropType<string>;
    };
    zoomOffset: {
        type: import("vue").PropType<number>;
    };
    tms: {
        type: import("vue").PropType<boolean>;
    };
    zoomReverse: {
        type: import("vue").PropType<boolean>;
    };
    detectRetina: {
        type: import("vue").PropType<boolean>;
    };
    referrerPolicy: {
        type: import("vue").PropType<boolean | import("leaflet").ReferrerPolicy>;
    };
    tileSize: {
        type: import("vue").PropType<number | import("leaflet").Point>;
    };
    updateWhenZooming: {
        type: import("vue").PropType<boolean>;
    };
    updateInterval: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<import("leaflet").LatLngBoundsExpression>;
    };
    noWrap: {
        type: import("vue").PropType<boolean>;
    };
    keepBuffer: {
        type: import("vue").PropType<number>;
    };
    layers: {
        type: import("vue").PropType<string>;
        default: undefined;
    };
}, {
    tileLayer: import("vue").ComputedRef<TileLayer | null>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: import("vue").PropType<string>;
    };
    overlay: {
        type: import("vue").PropType<boolean>;
    };
    type: {
        type: import("vue").PropType<"hybrid" | "satellite" | "streets" | "terrain">;
        default: string;
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    className: {
        type: import("vue").PropType<string>;
    };
    updateWhenIdle: {
        type: import("vue").PropType<boolean>;
    };
    crossOrigin: {
        type: import("vue").PropType<boolean | import("leaflet").CrossOrigin>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndex: {
        type: import("vue").PropType<number>;
    };
    accessToken: {
        type: import("vue").PropType<string>;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    maxNativeZoom: {
        type: import("vue").PropType<number>;
    };
    minNativeZoom: {
        type: import("vue").PropType<number>;
    };
    subdomains: {
        type: import("vue").PropType<string[]>;
        default: () => string[];
    };
    errorTileUrl: {
        type: import("vue").PropType<string>;
    };
    zoomOffset: {
        type: import("vue").PropType<number>;
    };
    tms: {
        type: import("vue").PropType<boolean>;
    };
    zoomReverse: {
        type: import("vue").PropType<boolean>;
    };
    detectRetina: {
        type: import("vue").PropType<boolean>;
    };
    referrerPolicy: {
        type: import("vue").PropType<boolean | import("leaflet").ReferrerPolicy>;
    };
    tileSize: {
        type: import("vue").PropType<number | import("leaflet").Point>;
    };
    updateWhenZooming: {
        type: import("vue").PropType<boolean>;
    };
    updateInterval: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<import("leaflet").LatLngBoundsExpression>;
    };
    noWrap: {
        type: import("vue").PropType<boolean>;
    };
    keepBuffer: {
        type: import("vue").PropType<number>;
    };
    layers: {
        type: import("vue").PropType<string>;
        default: undefined;
    };
}>>, {
    type: "hybrid" | "satellite" | "streets" | "terrain";
    title: string;
    subdomains: string[];
    layers: string;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
