import { type ComponentInternalInstance, type Ref } from 'vue';
export declare function hasEvent(instance: ComponentInternalInstance, eventName: string): boolean;
export declare function pickProps<T extends object, K extends keyof T>(instance: ComponentInternalInstance, props: T, keys: readonly K[], omitEvents?: string[], restReactive?: boolean, noRefs?: boolean): {
    refs: {
        [P in K]: Ref<T[P]>;
    };
    rest: Omit<T, K>;
    events: string[];
};
export declare function pickAttrs<T = unknown>(attrs: Record<string, T>, options?: {
    camelizeKeys?: boolean;
    rawValue?: boolean;
}): Record<string, T>;
export declare function splitProps<T extends object, E extends keyof T = never>(instance: ComponentInternalInstance, props: T, prefix: string, exclude?: E[], isReactive?: boolean, removePrefix?: boolean, expludeRemovePrefix?: E[]): {
    matching: Record<string, any>;
    rest: Record<string, any>;
};
